GitError Pkg.update()


#1

Version 0.6.2 (2017-12-13 18:08 UTC)
x86_64-w64-mingw32

julia> Pkg.update()
INFO: Initializing package repository C:\Users\PC.julia\v0.6
INFO: Cloning METADATA from https://github.com/JuliaLang/METADATA.jl
ERROR: GitError(Code:ECERTIFICATE, Class:OS, user cancelled certificate check: )
Stacktrace:
[1] macro expansion at .\libgit2\error.jl:99 [inlined]
[2] clone(::String, ::String, ::Base.LibGit2.CloneOptions) at .\libgit2\repository.jl:276
[3] #clone#100(::String, ::Bool, ::Ptr{Void}, ::Nullable{Base.LibGit2.AbstractCredentials}, ::Function, ::String, ::Str
ing) at .\libgit2\libgit2.jl:562
[4] (::Base.LibGit2.#kw##clone)(::Array{Any,1}, ::Base.LibGit2.#clone, ::String, ::String) at .<missing>:0
[5] (::Base.Pkg.Dir.##8#10{String,String})() at .\pkg\dir.jl:55
[6] cd(::Base.Pkg.Dir.##8#10{String,String}, ::String) at .\file.jl:59
[7] init(::String, ::String) at .\pkg\dir.jl:53
[8] #cd#1(::Array{Any,1}, ::Function, ::Function, ::String, ::Vararg{Any,N} where N) at .\pkg\dir.jl:28
[9] update() at .\pkg\pkg.jl:228

what now ?
Paul


Git / SSL Errors while installing packages
#2

#3

Thx,

  Answer is there :

https://github.com/JuliaLang/julia/issues/13399#issuecomment-368279399

  Paul

  W dniu 2018-02-26 o 13:37, Mauro Werder pisze: